#
# spec file for package php5-pear-HTTP_Request
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-HTTP_Request
%define pear_name  HTTP_Request
%define pear_sname http_request
Summary:        Provides an easy way to perform HTTP requests
License:        BSD-3-Clause
Group:          Productivity/Networking/Web/Servers
Version:        1.4.4
Release:        22.1
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source:         %{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 4.3
%if 0%{?sles_version} == 11
BuildRequires:  php53-devel
%else
BuildRequires:  php-macros
%endif
BuildRequires:  php-pear
Requires:       php >= 4.3
Requires:       php-pear
Requires:       php-pear-Net_Socket >= 1.0.7
Requires:       php-pear-Net_URL >= 1.0.12
Provides:       pear-%{pear_name}
Provides:       php-pear-%{pear_name}
# Fix for renaming (package convention)
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
Supports GET/POST/HEAD/TRACE/PUT/DELETE, Basic authentication, Proxy,
Proxy Authentication, SSL, file uploads etc.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

# This should actually be performed in the build sections. But if it
# is done the pear installer fails, because the md5sum of the files are not
# as expected.
%{__perl} -p -i -e 's|\r\n|\n|' docs/download-progress.php
%{__perl} -p -i -e 's|\r\n|\n|' docs/example.php

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc %{pear_name}-%{version}/docs/*

%changelog
* Tue Nov 27 2012 Ralf Lang <lang@b1-systems.de>
- Require any php-pear, not just php5-pear
- Note that this library has been superseeded by HTTP_Request2
* Fri Dec  9 2011 coolo@suse.com
- fix license to be in spdx.org format
* Thu Jan 20 2011 chris@computersalat.de
- change to php_pear_gen_filelist macro
* Wed Jan 19 2011 chris@computersalat.de
- pkg rename php5-pear-HTTP_Request
- merge with php-pear-http_request
- changelog to changes file
- added php-macros
* Sat May 30 2009 chris@computersalat.de
- fixed post script
* Thu May 21 2009 chris@computersalat.de
- fixed gen_filelist stuff
- some rpmlint stuff
* Thu May 21 2009 chris@computersalat.de
- added stuff to automatically create correct filelist
  o tested against Factory (1120)
  o opensuse >= 1100 complains about
    "directory not owned by package"
* Wed May 20 2009 chris@computersalat.de
- beautify spec
  o new spec header
  o package rename due to package convention
  o removed php4 stuff, deps
  o added Provides and Obsoletes for old package names.
    This should not break deps
* Tue Dec 16 2008 rbos@opensuse.org
- Made the package owner of some more directories
- added dos2unix to prevent yet another rpmlint error
* Mon Dec 15 2008 rbos@opensuse.org
- upgraded to version 1.4.4
- removed php4, php5 variables
- introduce pear config-get to obtain peardir
- renamed spec file to prevent rpmlint warning
- Fix rpmlint error "directories not owned by a package"
* Sun Dec  3 2006 suse-tux@gmx.de
- added a source of http_request which works with < 1010 (version 1.3.0)
* Sat Oct 28 2006 suse-tux@gmx.de
- new upstream version 1.4.0
* Wed Jun 21 2006 suse-tux@gmx.de
- initial build
